Page MenuHomePhabricator

Deploy beta cluster services automatically via scap3
Closed, DeclinedPublic

Description

The various MediaWiki services are actively being transitioned to be deployed using Scap on the Beta-Cluster-Infrastructure. A first project to have successfully transitioned is ORES .

Cxserver and Parsoid repositories are triggering a Jenkins job that is tied to the instance on which the service is running. Other services are updated manually or via a cron.

When a change is merged on a repository of a service, we should trigger a Jenkins job that runs on the beta cluster deployment server and runs scap3 deploy for us then report back to Jenkins/Gerrit about the completion.

  • Create a Jenkins job that can run scap3 deploy based on a repository name
  • Figure out sudo rule to have jenkins-deploy runs the scap command with appropriate user (service-deploy?)
  • Enable job on beta cluster as repositories migrate to scap3 (maybe fill child tasks?)

Event Timeline

hashar created this task.Apr 5 2016, 3:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2016, 3:59 PM
hashar triaged this task as Normal priority.Jun 30 2016, 10:36 AM
mobrovac edited subscribers, added: mobrovac; removed: Aklapper.
demon moved this task from Needs triage to Services improvements on the Scap board.Dec 8 2016, 1:57 AM
hashar closed this task as Declined.Apr 17 2019, 1:25 PM

The intent was to automatize running scap for the services once a change got merged.

We are moving toward a deployment pipeline which covers that use case.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 17 2019, 1:25 PM